Subject: bug#55832: 28.1; Emacs crashes when using tramp from helm in emacs-29

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 14 Jun 2022 11:49:30 +0000

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
> Hi Thierry,
>
>> I have a function wrote long time ago to delete tramp connections which
>> is not working (or most of the time not working) because it uses
>> tramp-list-connections which is itself broken (unexpectedly it worked
>> only once today don't know why).
>>
>> The test (tramp-connection-property-p key "process-buffer") is wrong IMO
>> according to the data fetched from tramp-cache-data,
>
> I don't understand this. tramp-connection-property-p just tests whether
> a connection property is defined.

Where? in key or value?

> It does not check the value of this property.

> Sorry, I cannot follow what you try to explain. Could you please show me
> an example, both the value of tramp-cache-data, and the result
> tramp-list-connections is returning?

tramp-list-connections is often returning nil whatever the value of
tramp-cache-data is but I have no recipe to reproduce this reliabily, if
I can make a recipe when I have time I will report it, for now perhaps
you can forget it.

Thanks.

-- 
Thierry